Get all attendee's registered sessions

Get all registered sessions for the specified event.

This API can be used by authenticated users only, and it will require super admin/event admin/event staff/attendee level access.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
AttributesDescription
recordsTotalIt will return a count of total session for event.
recordsFilteredIt will return a count of filtered records of session.
sessionIdThe sessionId represents the unique ID of each session. It will be generated automatically when a new session is created.
titleIt contains the title of the session.
startTimeIt contains the session's starting time in the yyyy/MM/dd HH:mm format.
endTimeIt contains the session's end time in the yyyy/MM/dd HH:mm format.
locationIt's contains location of session.
descriptionIt contains the description of the session.
It's only 65024 Characters are allowed to add description.
capacityIt's returns the capacity in number for session to allow maximum number of user can join.
statusIt's contains the session status type, there are two type of session visibility : VISIBLE, HIDDEN.
Visible status will show in session list and hidden status will do not show in session list.
formatIt's returns the session format. Can set when create session. There are seven type of session can create that contains MAIN_STAGE, BREAKOUT_SESSION, MEET_UP, WORKSHOP, EXPO, BREAK, OTHER.
speakerListIt's returns the list of speakers that associated with session. It's contains speaker details like speakerId, firatName, lastName, photoUrl and other.
sessionStatsIt's contains details of attendee count, interested user count, registered user count.
For getting this, details need to pass in API endpoint as expand.
registerdHolderUsersIt's contains details of registered user details who register for session. It's contain details like event ticketing ID, user ID, first name, last name, email, phone number and other.
currentUserRegisteredEventTicketIdIt's contains the Event Ticketing ID that a ticketing holder user registered for a session. Event Ticketing ID generates when we create Ticketing Type.
purchaserUserRegisteredEventTicketIdIt's contains the Event Ticketing ID that a ticketing holder user purchaser for a session. Event Ticketing ID generates when we create Ticketing Type.
enableChatIf enable chat is false, then session chat will not show in portal page. If true, then it will show.
enablePollIf enable poll is false, then session poll will not show in portal page. If true, then it will show.
enableQuesAndAnsIf enable QuesAndAns is false, then session QuesAndAns will not show in portal page. If true, then it will show.
hideSessionFromAttendeesIt will hide session from attendee if flag returns true from display page and portal page.
tagsIt's contains tags for session.
tracksIt contains the tracks details like ID, name, colour, description and position. It will filter session from all session.
ticketTypesThatCanBeRegisteredIt will contain ticketing type IDs with comma separated value. That only ticketing type can register for session.
streamProviderIt's contains the Stream Provider Name Of session. Session contains ACCELEVENTS, WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD stream provider.
subStreamProviderIt's contains the Sub Stream Provider Name Of session. Session contains VOXEET,CHIME,OPENTOK,AGORA sub stream provider.
streamUrlIt contains streaming URL. For WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD need to set streaming URL for ACCELEVENTS it will generate unique streaming UR.
streamKeyIt's contain unique stream key.
rtmpUrlIt's contain rtmp URL. It will use to put in OBS studio with stream key.
accelEventsStudioIt returns true if stream provider is ACCELEVENTS else false.
directVideoAutoStartIf returns true, session video start automatically when enter into session.

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
Path Params
int32
required

Unique user ID

string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/e/demo. Here "demo" is the event URL.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json